Bug 126345 - Math.imul gives wrong results
Summary: Math.imul gives wrong results
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Geoffrey Garen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-12-31 09:41 PST by Jeff Muizelaar
Modified: 2014-02-20 17:56 PST (History)
4 users (show)

See Also:


Attachments
Patch (3.85 KB, patch)
2014-02-20 17:35 PST, Geoffrey Garen
mhahnenberg: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Muizelaar 2013-12-31 09:41:34 PST
Math.imul(0xffffffff, 5) is -5 in Firefox and Chrome
in Safari 7.0.1 it returns 0.
Comment 1 Radar WebKit Bug Importer 2014-01-02 15:39:02 PST
<rdar://problem/15741114>
Comment 2 Geoffrey Garen 2014-02-20 17:35:07 PST
Created attachment 224812 [details]
Patch
Comment 3 Mark Hahnenberg 2014-02-20 17:38:35 PST
Comment on attachment 224812 [details]
Patch

r=me
Comment 4 Geoffrey Garen 2014-02-20 17:56:06 PST
Committed r164461: <http://trac.webkit.org/changeset/164461>